Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.toolkit
Class EditElementMouseTransformFactory._MoveElementTransform

    java.lang.Object
      jpicedt.graphic.toolkit.AbstractMouseTransform
          jpicedt.graphic.toolkit.EditElementMouseTransformFactory._MoveElementTransform

All Implemented Interfaces:
  MouseTransform

Enclosing class:
  EditElementMouseTransformFactory

protected class EditElementMouseTransformFactory._MoveElementTransform
extends AbstractMouseTransform

A mouse-transform that can translate an element, or a group of element.

Constructor Summary
`EditElementMouseTransformFactory._MoveElementTransform(BranchElement target, int anchorChildIndex, PicPoint clickPt, Grid grid)`
`EditElementMouseTransformFactory._MoveElementTransform(Element target, PicPoint clickPt, Grid grid)`

Method Summary
`Cursor` | `getCursor()` Return the cursor for this MouseTransform
`String` | `getHelpMessage()` Return a help-message for the UI, that makes sense with this transform.
`boolean` | `next(PEMouseEvent e)` Called by mouseReleased. This implementation set the clone's parent and view to null so as to make it elligible for gc.
`void` | `process(PEMouseEvent me)` Called when the mouse is dragged.
`void` | `start(PEMouseEvent e)` Called when the mouse is pressed. Create a clone of the clickedElement given as the parameter in the constructor.
`String` | `toString()`

Methods inherited from class jpicedt.graphic.toolkit.AbstractMouseTransform
`getClone, getTarget, paint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EditElementMouseTransformFactory._MoveElementTransform

    public EditElementMouseTransformFactory._MoveElementTransform(BranchElement target,
                                                                  int anchorChildIndex,
                                                                  PicPoint clickPt,
                                                                  Grid grid)

Parameters:
  `target` - the selection-handler upon which this transform acts (globally)
  `anchorChildIndex` - index of target's child that will serve as the reference-child for grid alignment ; if null, target is used instead ;
  `clickPt` -

### EditElementMouseTransformFactory._MoveElementTransform

    public EditElementMouseTransformFactory._MoveElementTransform(Element target,
                                                                  PicPoint clickPt,
                                                                  Grid grid)

Parameters:
  `target` - the selection-handler upon which this transform acts ; also serve as the anchor for grid alignment.
  `clickPt` -

Method Detail

### start

    public void start(PEMouseEvent e)

  Called when the mouse is pressed.
  Create a clone of the clickedElement given as the parameter in the constructor.

  Specified by:
    `start` in interface `MouseTransform`
  Overrides:
    `start` in class `AbstractMouseTransform`

### getCursor

    public Cursor getCursor()

  Description copied from interface: `MouseTransform`
  Return the cursor for this MouseTransform

  Returns:
    a Cursor whose type is adequate with this mouse-transform.

### process

    public void process(PEMouseEvent me)

  Called when the mouse is dragged.

### next

    public boolean next(PEMouseEvent e)

  Description copied from class: `AbstractMouseTransform`
  Called by mouseReleased.
  This implementation set the clone's parent and view to null so as to make it elligible for gc. This should be called by subclassers at the end of the implementation of their "next" method.

  Specified by:
    `next` in interface `MouseTransform`
  Overrides:
    `next` in class `AbstractMouseTransform`

### getHelpMessage

    public String getHelpMessage()

  Description copied from interface: `MouseTransform`
  Return a help-message for the UI, that makes sense with this transform.

  Returns:
    a help-message for the UI, that makes sense with this transform.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org